Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008122opensim[REGION] OpenSim Corepublic2017-01-17 09:442019-03-05 03:11
ReporterLotek 
Assigned ToJeffKelley 
PrioritynormalSeverityminorReproducibilityN/A
StatusresolvedResolutionfixed 
Platformx86_64OSUbuntu LinuxOS Version16.04
Product Version0.9.0 
Target VersionFixed in Version 
Summary0008122: NonFinite Avatar position detected error #9999902
DescriptionI was just driving around in our regions, then I crossed into a neighbouring sim and the sim crashed with me.

The debug log said to Mantis this so here goes :)

Please find attached the log for the destination sim 'Sea of Birches'. Coincidentally I had logging set to DEBUG level.

Let me know if a log of the departure sim 'Seven Oaks' is also wanted, that log is quite big since that's our central region (500KB).
TagsNo tags attached.
Git Revision or version numberOpenSim 0.9.0.0 RC2 with the patch applied from mantis 0008080
Run Mode Grid (1 Region per Sim)
Physics EngineubODE
EnvironmentMono / Linux64
Mono VersionOther
ViewerFirestorm
Attached Fileslog file icon SeaofBirches.log [^] (171,096 bytes) 2017-01-17 09:45
log file icon teleport_loop.log [^] (254,192 bytes) 2019-02-28 16:35

- Relationships

-  Notes
(0034884)
JeffKelley (reporter)
2019-02-28 16:34

Snail Dev 2019-02-27-bd1b992, ubODE, YEngine, MONO 5.18.0.240.

A teleport loop was discovered, see teleport_loop.log at 22:42:14,294.

The issue occured while running the following script, although the relation between the script and the teleport loop can not be ascertained. An array of issues was encountered then, including _loosing_ability_to_save_scripts_anywhere_ (emphasized) and simulator hanging at exit.



RezObject() {
    vector pos = llGetPos() - <0,0,2>;
    string nam = llGetInventoryName (INVENTORY_OBJECT, 0);
    llRezObject (nam, pos,ZERO_VECTOR, ZERO_ROTATION, 0);
}

ConfigureObject (key id) {
    llOwnerSay ("Calling osSetPrimitiveParams [PRIM_COLOR]");
    osSetPrimitiveParams (id, [ PRIM_COLOR, ALL_SIDES, <0,1,0>, 1.0 ]);

    llOwnerSay ("Calling osSetPrimitiveParams [PRIM_SIZE]");
    osSetPrimitiveParams (id, [ PRIM_SIZE, <0.5, 0.5, 0.5> ]);

    llOwnerSay ("Calling osSetPrimitiveParams [PRIM_TEMP_ON_REZ]");
    osSetPrimitiveParams (id, [ PRIM_TEMP_ON_REZ, TRUE ]);

    llOwnerSay ("Calling osSetPrimitiveParams [PRIM_PHYSICS]");
    osSetPrimitiveParams (id, [ PRIM_PHYSICS, TRUE ]);
}


default {

    state_entry() {
        llSay(0, "Script running");
    }

    touch_start (integer n) {
        RezObject ();
    }

    object_rez (key id) {
        ConfigureObject (id);
    }
    
}
(0034885)
UbitUmarov (administrator)
2019-03-01 02:44

- removed relation to obsolete issues.

- this 2 cases may also have different causes
regions are not even on same opensim version, script engine etc.

about the teleport loop:
- the compile error does not seem to be on the provided script, possible it is on a contained object (?)
- what is doing this internal teleports ?
2019-02-28 22:42:14,294 DEBUG [ENTITY TRANSFER MODULE]: Teleport for Chip.Chardin @jochardin.no-ip.info:6002 to <99.875, 157.625, 22.16396> within Reg_2
2019-02-28 22:42:14,318 DEBUG [ENTITY TRANSFER MODULE]: Teleport for Jeff.Kelley @88.161.20.136:9000 to <116.5, 140.25, 22.049> within Reg_2
(0034886)
JeffKelley (reporter)
2019-03-01 03:52

- The compile error is on the provided script, in an object that was called rezer then Universal Rezer. Issue raised immediately after touching this object. There are only three scripted objects in region : a dynamic texture display, a llPush test, and this one.

- I have no idea of why the internal teleports. What they are doing to the avatars is a jerk dance with woosh-woosh sounds and progress bar.
(0034887)
UbitUmarov (administrator)
2019-03-01 04:08

telehub or landpoint active ?
(0034888)
JeffKelley (reporter)
2019-03-01 04:10

None set.
Routing : Anywhere.
(0034889)
UbitUmarov (administrator)
2019-03-01 04:22

well something started those local teleports.
meanwhile I made minor changes on code.
touching should try to rez a object, what object is that?
(0034890)
JeffKelley (reporter)
2019-03-01 04:22
edited on: 2019-03-01 04:23

Any prim you put inside the object's inventory.
Actually, a 0.5x0.5x0.5 ball.

(0034891)
UbitUmarov (administrator)
2019-03-01 04:58

well I could not repo any of this issues.

something like doing the teleport (like a script with a sensor and with osteleport)

then something gets wrong with the avatar position and the try to recover sends it back to same location, triggering the tp again...

The small code changes i made, may reduce the chance of the position getting broken, but i could not repo, even before them
.
(0034892)
JeffKelley (reporter)
2019-03-01 05:27

There is no osteleport script in the region.

Despites my efforts, I could not repro the issue. The script compiles and runs in a configuration that is believed to be the same (ubODE, YEngine). The only evidence we have is the log, and the fact that the issue began imediately after touching this script. It happened three times.

Meanwhile, the region was restarted and I manually deleted the ScriptEngines folder content (although the DeleteScriptsOnStartup is true, this deletes also the state files). This catched my eye:


System.IO.IOException: Sharing violation on path /home/jeff/grid/2019-02-05-52947b6/ScriptEngines/71a6131e-2240-11e9-bf22-92d1d0fe3982/CommonCompiler_compiled_425c3c1a-5f38-4757-ba86-05f01e5aa15a.dll.map
  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize, System.Boolean anonymous, System.IO.FileOptions options) <0x7f59e6df5010 + 0x003b8> in <04750267503a43e5929c1d1ba19daf3e>:0
  at System.IO.FileStream..ctor (System.String path, System.IO.FileMode mode, System.IO.FileAccess access, System.IO.FileShare share, System.Int32 bufferSize) <0x7f59e6df4e90 + 0x00017> in <04750267503a43e5929c1d1ba19daf3e>:0
  at (wrapper remoting-invoke-with-check) System.IO.FileStream..ctor(string,System.IO.FileMode,System.IO.FileAccess,System.IO.FileShare,int)
  at System.IO.File.Create (System.String path, System.Int32 bufferSize) <0x7f59e6df2870 + 0x00033> in <04750267503a43e5929c1d1ba19daf3e>:0
  at System.IO.File.Create (System.String path) <0x7f59e6df2860 + 0x0000a> in <04750267503a43e5929c1d1ba19daf3e>:0
  at OpenSim.Region.ScriptEngine.XEngine.XEngine.SetXMLState (OpenMetaverse.UUID itemID, System.String xml) [0x002ab] in <ccaef48bc0874d48855327b9b2045df7>:0
(0034893)
UbitUmarov (administrator)
2019-03-01 05:30

that is a xengine error, are you running both?
(0034894)
JeffKelley (reporter)
2019-03-01 05:32

Yes, some regions run X and some Y. They share the same ScriptEngines folder.
(0034895)
JeffKelley (reporter)
2019-03-01 05:34

My bad !

Simulator 2 (Reg_2) # config show XEngine Enabled
config get XEngine Enabled : true
Simulator 2 (Reg_2) # config show YEngine Enabled
config get YEngine Enabled : true
(0034900)
JeffKelley (reporter)
2019-03-05 03:11

Closed because cannot be reproduced even on the grid where it was discovered.

- Issue History
Date Modified Username Field Change
2017-01-17 09:44 Lotek New Issue
2017-01-17 09:45 Lotek File Added: SeaofBirches.log
2019-02-28 13:37 JeffKelley Relationship added related to 0005237
2019-02-28 13:37 JeffKelley Relationship added related to 0004362
2019-02-28 16:34 JeffKelley Note Added: 0034884
2019-02-28 16:35 JeffKelley File Added: teleport_loop.log
2019-03-01 02:37 UbitUmarov Relationship deleted related to 0005237
2019-03-01 02:37 UbitUmarov Relationship deleted related to 0004362
2019-03-01 02:44 UbitUmarov Note Added: 0034885
2019-03-01 03:52 JeffKelley Note Added: 0034886
2019-03-01 04:08 UbitUmarov Note Added: 0034887
2019-03-01 04:10 JeffKelley Note Added: 0034888
2019-03-01 04:22 UbitUmarov Note Added: 0034889
2019-03-01 04:22 JeffKelley Note Added: 0034890
2019-03-01 04:23 JeffKelley Note Edited: 0034890 View Revisions
2019-03-01 04:58 UbitUmarov Note Added: 0034891
2019-03-01 05:27 JeffKelley Note Added: 0034892
2019-03-01 05:30 UbitUmarov Note Added: 0034893
2019-03-01 05:32 JeffKelley Note Added: 0034894
2019-03-01 05:34 JeffKelley Note Added: 0034895
2019-03-05 03:08 JeffKelley Note Added: 0034899
2019-03-05 03:08 JeffKelley Status new => confirmed
2019-03-05 03:09 JeffKelley Note Deleted: 0034899
2019-03-05 03:11 JeffKelley Note Added: 0034900
2019-03-05 03:11 JeffKelley Status confirmed => resolved
2019-03-05 03:11 JeffKelley Resolution open => fixed
2019-03-05 03:11 JeffKelley Assigned To => JeffKelley


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker